Package com.pixelmed.dose

# Class CTDoseCheckDetails

java.lang.Object
com.pixelmed.dose.CTDoseCheckDetails

public class CTDoseCheckDetails extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`alertAccumulatedCTDIvolForwardEstimate`
`protected String`
`alertAccumulatedDLPForwardEstimate`
`protected String`
`alertCTDIvolValue`
`protected boolean`
`alertCTDIvolValueConfigured`
`protected String`
`alertDLPValue`
`protected boolean`
`alertDLPValueConfigured`
`protected PersonParticipant`
`alertPerson`
`protected String`
`alertReasonForProceeding`
`protected String`
`notificationCTDIvolForwardEstimate`
`protected String`
`notificationCTDIvolValue`
`protected boolean`
`notificationCTDIvolValueConfigured`
`protected String`
`notificationDLPForwardEstimate`
`protected String`
`notificationDLPValue`
`protected boolean`
`notificationDLPValueConfigured`
`protected PersonParticipant`
`notificationPerson`
`protected String`
`notificationReasonForProceeding`

## Constructor Summary

Constructors
Constructor
Description
`CTDoseCheckDetails(boolean alertDLPValueConfigured, String alertDLPValue, boolean alertCTDIvolValueConfigured, String alertCTDIvolValue, String alertAccumulatedDLPForwardEstimate, String alertAccumulatedCTDIvolForwardEstimate, String alertReasonForProceeding, PersonParticipant alertPerson, boolean notificationDLPValueConfigured, String notificationDLPValue, boolean notificationCTDIvolValueConfigured, String notificationCTDIvolValue, String notificationDLPForwardEstimate, String notificationCTDIvolForwardEstimate, String notificationReasonForProceeding, PersonParticipant notificationPerson)`
`CTDoseCheckDetails(ContentItem dose)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getAlertAccumulatedCTDIvolForwardEstimate()`
`String`
`getAlertAccumulatedDLPForwardEstimate()`
`String`
`getAlertCTDIvolValue()`
`boolean`
`getAlertCTDIvolValueConfigured()`
`String`
`getAlertDLPValue()`
`boolean`
`getAlertDLPValueConfigured()`
`PersonParticipant`
`getAlertPerson()`
`String`
`getAlertReasonForProceeding()`
`String`
`getNotificationCTDIvolForwardEstimate()`
`String`
`getNotificationCTDIvolValue()`
`boolean`
`getNotificationCTDIvolValueConfigured()`
`String`
`getNotificationDLPForwardEstimate()`
`String`
`getNotificationDLPValue()`
`boolean`
`getNotificationDLPValueConfigured()`
`PersonParticipant`
`getNotificationPerson()`
`String`
`getNotificationReasonForProceeding()`
`void`
`getStructuredReportFragment(ContentItem root)`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### alertDLPValueConfigured

protected boolean alertDLPValueConfigured

### alertDLPValue

protected String alertDLPValue

### alertCTDIvolValueConfigured

protected boolean alertCTDIvolValueConfigured

### alertCTDIvolValue

protected String alertCTDIvolValue

### alertAccumulatedDLPForwardEstimate

protected String alertAccumulatedDLPForwardEstimate

### alertAccumulatedCTDIvolForwardEstimate

protected String alertAccumulatedCTDIvolForwardEstimate

### alertReasonForProceeding

protected String alertReasonForProceeding

### alertPerson

protected PersonParticipant alertPerson

### notificationDLPValueConfigured

protected boolean notificationDLPValueConfigured

### notificationDLPValue

protected String notificationDLPValue

### notificationCTDIvolValueConfigured

protected boolean notificationCTDIvolValueConfigured

### notificationCTDIvolValue

protected String notificationCTDIvolValue

### notificationDLPForwardEstimate

protected String notificationDLPForwardEstimate

### notificationCTDIvolForwardEstimate

protected String notificationCTDIvolForwardEstimate

### notificationReasonForProceeding

protected String notificationReasonForProceeding

### notificationPerson

protected PersonParticipant notificationPerson

## Constructor Details

### CTDoseCheckDetails

public CTDoseCheckDetails(boolean alertDLPValueConfigured, String alertDLPValue, boolean alertCTDIvolValueConfigured, String alertCTDIvolValue, String alertAccumulatedDLPForwardEstimate, String alertAccumulatedCTDIvolForwardEstimate, String alertReasonForProceeding, PersonParticipant alertPerson, boolean notificationDLPValueConfigured, String notificationDLPValue, boolean notificationCTDIvolValueConfigured, String notificationCTDIvolValue, String notificationDLPForwardEstimate, String notificationCTDIvolForwardEstimate, String notificationReasonForProceeding, PersonParticipant notificationPerson)

### CTDoseCheckDetails

public CTDoseCheckDetails(ContentItem dose)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### getAlertDLPValueConfigured

public boolean getAlertDLPValueConfigured()

### getAlertDLPValue

public String getAlertDLPValue()

### getAlertCTDIvolValueConfigured

public boolean getAlertCTDIvolValueConfigured()

### getAlertCTDIvolValue

public String getAlertCTDIvolValue()

### getAlertAccumulatedDLPForwardEstimate

public String getAlertAccumulatedDLPForwardEstimate()

### getAlertAccumulatedCTDIvolForwardEstimate

public String getAlertAccumulatedCTDIvolForwardEstimate()

### getAlertReasonForProceeding

public String getAlertReasonForProceeding()

### getAlertPerson

public PersonParticipant getAlertPerson()

### getNotificationDLPValueConfigured

public boolean getNotificationDLPValueConfigured()

### getNotificationDLPValue

public String getNotificationDLPValue()

### getNotificationCTDIvolValueConfigured

public boolean getNotificationCTDIvolValueConfigured()

### getNotificationCTDIvolValue

public String getNotificationCTDIvolValue()

### getNotificationDLPForwardEstimate

public String getNotificationDLPForwardEstimate()

### getNotificationCTDIvolForwardEstimate

public String getNotificationCTDIvolForwardEstimate()

### getNotificationReasonForProceeding

public String getNotificationReasonForProceeding()

### getNotificationPerson

public PersonParticipant getNotificationPerson()

### getStructuredReportFragment

public void getStructuredReportFragment(ContentItem root) throws DicomException

Throws:
  `DicomException`